rfdc: xrfdc_read_write_example.c File Reference

| rfdc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xrfdc_read_write_example.c File Reference

## Overview

This example uses multiple driver "set" APIs to configure the targeted AMS block.

Subsequently it uses "get" APIs to read back the configurations to ensure that the desired configurations are applied.

For DAC it sets the following configurations: MixerSettings, QMCSettings, Write Fabricrate, Decoder mode, Output Current and Coarse Delay.

For ADC it sets the following configurations: MixerSettings, QMCSettings, Read Fabricrate and Threshold Settings. This example shows how to change the configurations for ADC and DAC using driver functions.

NOTE: The purpose of the example is to show how to use the driver APIs. For real user scenarios this example will not be relevant.

For zcu111 board users are expected to define XPS_BOARD_ZCU111 macro while compiling this example.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.0   sk     05/15/17 First release
    1.1   sk     08/09/17 Modified the example to support both Linux and
                          Baremetal.
          sk     08/23/17 Add Nyquist Zone test case.
          sk     09/25/17 Add GetOutput Current test case.
    2.4   sk     12/11/17 Add test case for DDC and DUC.
    3.2   sk     03/01/18 Add test case for Multiband.
    4.0   sd     04/28/18 Add Clock configuration support for ZCU111.
          sd     05/15/18 Updated Clock configuration for lmk.
    5.0   sk     07/20/18 Update mixer settings test cases to consider MixerType.
          sk     08/03/18 For baremetal, add metal device structure for rfdc
                          device and register the device to libmetal generic bus.
          mus    08/18/18 Updated to remove xparameters.h dependency for linux
                          platform.
          sk     09/07/18 Modified phasecorrection factor as per  QMC Phase
                          correction factor range in driver
    5.1   cog    01/29/19 Fixed some comments.
    7.0   cog    07/25/19 Updated example for new metal register API.

## Functions
int | main (void)
| Main function that invokes the polled example in this file. More...

## Function Documentation

int main | ( | void |  | ) |

Main function that invokes the polled example in this file.

Parameters

  None. |

Returns
  - XRFDC_SUCCESS if the example has completed successfully.
  - XRFDC_FAILURE if the example has failed.

Note
  None.